import {request} from '@/utils/request.js'

// 生成订单
export function creatPayOrder(data) {
	return request({
		url: '/springbatchservice/pay/creatPayOrder',
		method:'post',
		data
	})
}

// 查询订单状态
export function queryPayOrder(data) {
	return request({
		url: '/springbatchservice/pay/query/'+data,
	})
}

// 退款申请
export function applyRefund(data) {
	return request({
		url: '/springbatchservice/pay/applicantRefund',
		method:'post',
		data
	})
}

// 支付详情
export function payDetails(data) {
	return request({
		url: '/springbatchservice/order/user/orderDetail/'+data,
	})
}

// 取消退款申请
export function unRefund(data) {
	return request({
		url: '/springbatchservice/pay/unRefund',
		method:'post',
		data
	})
}

// 关闭订单
export function close(data) {
	return request({
		url: '/springbatchservice/pay/close/'+data,
	})
}

